Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.calendar
Class HtmlCalendarRenderer.CalendarDateTimeConverter

    java.lang.Object
      org.apache.myfaces.custom.calendar.HtmlCalendarRenderer.CalendarDateTimeConverter

All Implemented Interfaces:
  javax.faces.convert.Converter, HtmlCalendarRenderer.DateConverter

Enclosing class:
  HtmlCalendarRenderer

public static class HtmlCalendarRenderer.CalendarDateTimeConverter
extends java.lang.Object
implements HtmlCalendarRenderer.DateConverter

Constructor Summary
`HtmlCalendarRenderer.CalendarDateTimeConverter()`

Method Summary
`static java.lang.String` | `createJSPopupFormat(javax.faces.context.FacesContext facesContext, java.lang.String popupDateFormat)`
`java.util.Date` | `getAsDate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String s)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCalendarRenderer.CalendarDateTimeConverter

    public HtmlCalendarRenderer.CalendarDateTimeConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent uiComponent,
                                        java.lang.String s)

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`

### getAsDate

    public java.util.Date getAsDate(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent uiComponent)

  Specified by:
    `getAsDate` in interface `HtmlCalendarRenderer.DateConverter`

### createJSPopupFormat

    public static java.lang.String createJSPopupFormat(javax.faces.context.FacesContext facesContext,
                                                       java.lang.String popupDateFormat)

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent uiComponent,
                                        java.lang.Object o)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD